
/*
 * Definitions of functions.
 */

/*
 * If this is a personalized interpreter, include definitions from the
 *  pi directory.
 */

#ifdef PersInterp
#include "../pi/fdefs.h"
#endif					/* PersInterp */

/*
 * These are the functions in the standard repertoire.
 */

FncDef(abs,1)
FncDef(any,4)
FncDef(bal,6)
FncDef(center,3)
FncDef(char,1)
FncDef(close,1)
FncDef(collect,0)
FncDef(copy,1)
FncDef(cset,1)
FncDef(delete,2)
FncDef(detab,-1)
FncDef(display,2)
FncDef(entab,-1)
FncDef(errorclear,0)
FncDef(exit,1)
FncDef(find,5)
FncDef(get,2)
FncDef(getenv,1)
FncDef(iand,2)
FncDef(icom,1)
FncDef(image,1)
FncDef(insert,3)
FncDef(integer,1)
FncDef(ior,2)
FncDef(ishift,2)
FncDef(ixor,2)
FncDef(left,3)
FncDef(list,2)
FncDef(many,5)
FncDef(map,3)
FncDef(match,5)
FncDef(member,1)
FncDef(move,1)
FncDef(numeric,1)
FncDef(open,2)
FncDef(ord,1)
FncDef(pop,1)
FncDef(pos,1)
FncDef(proc,2)
FncDef(pull,1)
FncDef(push,2)
FncDef(put,1)
FncDef(read,2)
FncDef(reads,2)
FncDef(real,1)
FncDef(remove,2)
FncDef(rename,1)
FncDef(repl,2)
FncDef(reverse,1)
FncDef(right,3)
FncDef(runerr,1)
FncDef(seek,2)
FncDef(seq,2)
FncDef(set,1)
FncDef(sort,2)
FncDef(stop,-1)
FncDef(string,1)
FncDef(system,1)
FncDef(tab,1)
FncDef(table,1)
FncDef(trim,2)
FncDef(type,1)
FncDef(upto,4)
FncDef(where,1)
FncDef(write,-1)
FncDef(writes,-1)
#ifdef ExecImages
FncDef(save,1)
#endif					/* ExecImages */

/*
 * "System" functions.
 */

#ifdef SysFncs
FncDef(fsize,1)
#endif					/* SysFncs */

/*
 * Math functions.
 */

#ifdef MathFncs
FncDef(acos,1)
FncDef(asin,1)
FncDef(atan,1)
FncDef(atan2,1)
FncDef(cos,1)
FncDef(dtor,1)
FncDef(exp,1)
FncDef(log,1)
FncDef(log10,1)
FncDef(rtod,1)
FncDef(sin,1)
FncDef(sqrt,1)
FncDef(tan,1)
#endif					/* MathFncs */

/*
 * Functions for MS-DOS.
 */


#ifdef DosFncs
FncDef(getch,1)
FncDef(getche,1)
FncDef(kbhit,1)
FncDef(Int86,1)
FncDef(Peek,1)
FncDef(Poke,1)
FncDef(GetSpace,1)
FncDef(FreeSpace,1)
FncDef(InPort,1)
FncDef(OutPort,1)
#endif					/* DosFncs */

/*
 * "Iscope" functions.
 */

#ifdef ScopeFncs
FncDef(Descr,1)
FncDef(Dword,1)
FncDef(Indir,1)
FncDef(Ivar,1)
FncDef(Symbol,1)
FncDef(Vword,1)
#endif					/* ScopeFncs */

/*
 * Memory monitoring functions.
 */

#ifdef MMFncs
FncDef(mmpause,0)
FncDef(mmshow,1)
#endif					/* MMFncs */

/*
 * Instrumentation functions.
 */

#ifdef InstrFncs
FncDef(runstats,1)
#endif					/* InstrFncs */
