/*
 * Memory sizing.  This should be redone to handle the various cases
 *  more coherently.
 */
#ifdef FixedRegions
#undef IconAlloc
#endif					/* FixedRegions */

/*
 * Constants for computers with a large amount of memory.
 */

#ifndef FixedRegions

/*
 * Expandable regions.
 */
#define MaxAbrSize		51200	/* size of the block region in bytes */
#define MaxStrSpace		51200	/* size of the string space in bytes */

#ifdef Coexpr
#define MaxStatSize		20480	/* size of the static region in bytes*/
#define ActStkBlkEnts		  100	/* number of entries in an astkblk */
#else					/* Coexpr */
#define MaxStatSize		 2000	/* size of static region in bytes */
#define ActStkBlkEnts		    1	/* number of entries in an astkblk */
#endif					/* Coexpr */

#define MStackSize		10000	/* size of the main stack in words */
#define StackSize		 2000	/* words in co-expression stack */

#else					/* FixedRegions */

/*
 * Fixed regions.
 */
#define MaxAbrSize		64000	/* size of block region in bytes */
#define MaxStrSpace		64000	/* size of string space in bytes */

#ifdef Coexpr
#define MaxStatSize		 2200	/* size of static region in bytes */
#define ActStkBlkEnts		  100  /* number of entries in an astkblk */
#else					/* Coexpr */
#define MaxStatSize		  500	/* size of static region in bytes */
#define ActStkBlkEnts		    1	/* number of entries in an astkblk */
#endif					/* Coexpr */

#define QualLstSize		 5000	/* size of qualifier pointer region */
#define MStackSize		 5000	/* size of the main stack in words */
#define StackSize		 2000	/* size of co-expression stack */
#endif					/* FixedRegions */

/*
 * The following code is operating-system dependent [@memsize.01].  Override
 *  memory sizing if necessary
 */

#if PORT
   /* nothing to do */
#endif					/* PORT */

#if AMIGA || HIGHC_386 || MACINTOSH || MSDOS || UNIX || VMS
   /* nothing to do */
#endif					/* AMIGA || HIGHC_386 || ... */

#if ATARI_ST
/*
 * Sizes needed to run reasonable icon programs on Atari 520 using ASH
 */
#undef QualLstSize
#undef MStackSize
#define QualLstSize		10000	/* size of qualifier pointer region */
#define MStackSize		 9500	/* size of the main stack in words */
#endif					/* ATARI_ST */

#if VM || MVS
#endif					/* VM || MVS */

/*
 * End of operating-system specific code.
 */
